package com.ruoyi.mybasic.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 充值记录表
 * @author swh
 */
@Data
public class RechargeLog {
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 充值渠道 支付宝/微信
     */
    private String rechargeType;

    /**
     * 充值金额 单位 rmb
     */
    private Double rechargeAmount;

    /**
     * 充值时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
}
