package com.ruoyi.mybasic.common.domain.request;

import com.ruoyi.mybasic.common.domain.response.DoctorGiftRecordResponse;
import lombok.Data;

/**
 * @ClassName DoctorGiftRecordRequest
 * @Description 医生收到的礼物列表请求参数
 * @Author WenHao.Sao
 */
@Data
public class DoctorGiftRecordRequest extends DoctorGiftRecordResponse {
    private long id;//主键

    private long doctorId;//医生id标识

    private long benefactorId;//赠送人标识

    private int giftId;//礼物标识
}
