package com.ruoyi.mybasic.common.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 邀请记录参数
 * @author Lou_Zs
 */
@Data
public class RequestInvitationRecord {


    /**
     * 邀请记录主建
     */
    private Integer id;
    /**
     * 邀请人
     */
    private Integer userId;
    /**
     * 被邀请人
     */
    private Integer userPid;
    /**
     * 邀请时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
}
