package com.ruoyi.mybasic.mapper;


import com.ruoyi.mybasic.common.domain.Archives;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 档案Mapper接口
 * @author Lou_Zs
 */
@Mapper
public interface ArchivesMapper {


    /**
     * 查询患者档案
     * @param userId
     * @return
     */
    Archives findArchivesList(@Param("userId") Long userId);

    /**
     * 添加我的档案
     * @param archives
     */
    int insertArchives(Archives archives);


    /**
     * 编辑我的档案
     * @param archives
     */
    int updateArchives(Archives archives);

    /**
     * 删除我的档案
     * @param id
     */
    int deleteArchivesById(@Param("id") String id);


}
