package com.ruoyi.mybasic.mapper;
import com.ruoyi.mybasic.api.domain.Purse;
import com.ruoyi.mybasic.api.domain.UserMoneyLogs;
import com.ruoyi.mybasic.common.domain.MoneyWithdraw;
import com.ruoyi.mybasic.common.domain.RechargeLog;
import com.ruoyi.mybasic.common.domain.request.PurseRequest;
import com.ruoyi.mybasic.common.domain.response.PurseResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 钱包Mapper接口-->新
 * @Author WenHao.Sao
 */
@Mapper
public interface PurseMapperTwo{

    //根据当前登录人的userId获取到钱包的对象
    Purse purseObject(@Param("userId") Long userId);

    //添加记录表
    void addMoneyLogs(UserMoneyLogs userMoneyLogs);

    //支出
    void updPurseIn(PurseRequest purseRequest);
    //收入
    int updateUserBalance(UserMoneyLogs userMoneyLogs);

    //根据当前userId添加钱包
    Integer addPurse(Purse purse);

    //查询钱包里面的用户id
    Integer purseUserId(@Param("userId") String userId);

    void addPurseLogs(PurseRequest purseRequest);

    void updWithdrawPurse(PurseRequest purseRequest);

    int insertRechargeLog(RechargeLog rechargeLog);

    void insertWithdrawalLog(MoneyWithdraw moneyWithdraw);
}
