package com.ruoyi.mybasic.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 银行卡请求参数
 */
@Data
public class BankConfig {

    /**
     * 银行卡Id
     */
    private long id;
    /**
     * 当前用户UserID
     */
    private long userId;
    /**
     * 类型 比如(储蓄卡)
     */
    private String cardType;
    /**
     * 银行名称
     */
    private String bankName;
    /**
     * 银行卡 卡号
     */
    private String cardNo;
    /**
     * 银行ID
     */
    private Integer bankId;
    /**
     * 银行代码
     */
    private String bankCode;
    /**
     * 绑定时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date createTime;







}
